﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace ValidatingNumeric
{
	public class NonNegativeValidationRule : ValidationRule
	{
		public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
		{
			int result;
			if (Int32.TryParse(value.ToString(), out result) && result < 0 )
			{
				return new ValidationResult(false, "Can not be Negative!");
			}
			return new ValidationResult(true, "Valid");
		}
	}
}
